Package net.dona.doip.client

## Class QueryParams

- java.lang.Object
- - net.dona.doip.client.QueryParams

-     public class QueryParams
      extends java.lang.Object

  An object for holding query parameters for `DoipClient` search operations.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static QueryParams` | `DEFAULT` | Default query parameters.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryParams​(int pageNumber, int pageSize)` | Constructs a QueryParams.
    `QueryParams​(int pageNumber, int pageSize, java.util.List<SortField> sortFields)` | Constructs a QueryParams.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getPageNumber()` |
    `int` | `getPageSize()` |
    `java.util.List<SortField>` | `getSortFields()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final QueryParams DEFAULT

      Default query parameters. Passing `null` to search methods amounts to using this. No pagination and no sorting.

  - ### Constructor Detail

    - #### QueryParams

          public QueryParams​(int pageNumber,
                             int pageSize)

      Constructs a QueryParams.
      Parameters:
        `pageNumber` - the page number to return. Starts at 0. Ignored if pageSize <= 0.
        `pageSize` - the number of objects to return. PageSize of < 0 means return all.

    - #### QueryParams

          public QueryParams​(int pageNumber,
                             int pageSize,
                             java.util.List<SortField> sortFields)

      Constructs a QueryParams.
      Parameters:
        `pageNumber` - the page number to return. Starts at 0. Ignored if pageSize <= 0.
        `pageSize` - the number of objects to return. PageSize of < 0 means return all.
        `sortFields` - the sort order

  - ### Method Detail

    - #### getPageNumber

          public int getPageNumber()

    - #### getPageSize

          public int getPageSize()

    - #### getSortFields

          public java.util.List<SortField> getSortFields()